%define module	numarray

Name:           python-%{module}
Version:        1.5.2
Release:        %mkrel 5
Summary:        Numarray: array processing for numbers, strings, records and objects

Group:          Development/Python
License:        BSD-like
URL:            http://www.stsci.edu/resources/software_hardware/numarray/
Source0:        http://dl.sourceforge.net/sourceforge/numpy/%{module}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  python-devel

%description
Numarray is an array processing package designed to efficiently
manipulate large multi-dimensional arrays.  Numarray is modelled after
Numeric and features c-code generated from python template scripts,
the capacity to operate directly on arrays in files, and improved type
promotions.  Numarray provides support for manipulating arrays
consisting of numbers, strings, records, or objects using the same
basic infrastructure and syntax.

%package	devel
Summary:	Numarray Library C bindings
Group:		Development/Python
Requires:	%{name} = %{version}

%description	devel
Install this to develop C bindings against the Numarray Python library.

%prep
%setup -n %{module}-%{version} -q


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --record=INSTALLED_OBJECTS.tmp

# Ghost optimized 
sed 's/\(.*\.pyo\)/%ghost \1/' < INSTALLED_OBJECTS.tmp >INSTALLED_OBJECTS

# Move development files
sed "s#%{_includedir}/python%{pyver}/numarray.*##" < INSTALLED_OBJECTS > INSTALLED_OBJECTS.tmp
mv INSTALLED_OBJECTS.tmp INSTALLED_OBJECTS

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_OBJECTS
%defattr(-,root,root,-)
%doc *.txt

%files devel
%defattr(-,root,root,-)
%{_includedir}/python%{pyver}/numarray
%doc *.txt




%changelog
* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5.2-5mdv2009.0
+ Revision: 259738
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5.2-4mdv2009.0
+ Revision: 247524
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.5.2-2mdv2008.1
+ Revision: 136454
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.5.2-2mdv2007.0
+ Revision: 96248
- Rebuild against new python

  + Gaëtan Lehmann <glehmann@mandriva.org>
    - 1.5.2
    - Import python-numarray

* Fri Feb 10 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.5.1-1mdk
- New release 1.5.1

* Wed Dec 07 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.5.0-1mdk
- New release 1.5.0

* Thu Oct 27 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.4.0-1mdk
- New release 1.4.0

* Fri Jul 15 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3.3-1mdk
- 1.3.3

* Mon Jun 20 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.2-1mdk
- New release 1.3.2

* Mon Apr 25 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.1-1mdk
- New release 1.3.1

* Fri Mar 25 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.3-1mdk
- New release 1.2.3
- use mkrel
- fix some lint

* Thu Nov 25 2004 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1-1mdk
- mandrake contrib

* Tue Oct 26 2004 Jeff Pitman <symbiont+pyvault@berlios.de> 1.1-1
- new release

